camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-6314) cannot use camel-cxf and camel-jetty at the same time due to dependency problem
Date Thu, 25 Apr 2013 13:24:16 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-6314?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13641770#comment-13641770
] 

Claus Ibsen commented on CAMEL-6314:
------------------------------------

Well its your decision which Jetty version you want to use.

There is nothing to "fix" as its not a bug. Different OS projects uses different versions
of JARs. Camel is compatible with X versions of Jetty.

That said its possible about time that we let Camel 2.12 use Jetty 8.x by default, instead
of the older 7.x which we have been using for a long time. But thats another story.
                
> cannot use camel-cxf and camel-jetty at the same time due to dependency problem
> -------------------------------------------------------------------------------
>
>                 Key: CAMEL-6314
>                 URL: https://issues.apache.org/jira/browse/CAMEL-6314
>             Project: Camel
>          Issue Type: Task
>          Components: camel-cxf, camel-jetty
>    Affects Versions: 2.11.0
>            Reporter: Ricardo Veguilla
>
> camel-cxf-2.11 depends on cxf-2.7.4.
> cxf-rt-transports-http-jetty-2.7.4 depends on jetty-server-8.1.7
> camel-jetty depends on jetty-server-7.6.8.
> So using both a cxf:bean route and a jetty route results in a java.lang.NoSuchMethodError:
org.eclipse.jetty.server.Request.getDispatcherType()Lorg/eclipse/jetty/server/DispatcherType;

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message